#!/bin/sh
# Author : emptyhua@gmail.com
# Site : bluehua.org
ACTION=$1
DISPLAY=":0"
SELF="/home/${USER}/bin/mpc.sh"
case "$ACTION" in
#下一首
    next)
        killall mpc
        mpc next
        killall notify-osd  2>/dev/null 
        notify-send "Mpc Next" "`mpc`"
        ;;
#上一首
    prev)
        killall mpc
        mpc prev
        killall notify-osd  2>/dev/null 
        notify-send "Mpc Prev" "`mpc`"
        ;;
#停止
    stop)
        killall mpc
        mpc stop
        ;;
#播放
    play)
        killall mpc
        mpc toggle 
        ;;
#快捷搜索
    popfav)
        gnome-terminal --window --hide-menubar --geometry="50x4+300+200" --title="输入一个想要播放的模糊关键字" --command "sh ${SELF} playfav"
        ;;
    playfav)
        echo "输入关键字,会从匹配关键字的第一首开始播放"
        echo -n "keyword:"
        read keyword
        num="`mpc playlist | sed -n \"/${keyword}/{=;q}\"`"
        if [ -n "$num" ];then
            killall mpc
            mpc play $num
            killall notify-osd  2>/dev/null
            notify-send "Mpc playing" "`mpc`"
        else
            echo "没有匹配的曲目,任意键结束"
            read xx
        fi
        ;;
    *)
        exit 
        ;;
esac
